Bug 30198 - Untranslated strings in printconf
Untranslated strings in printconf
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-01 15:25 EST by Christian Rose
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 17:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2001-03-01 15:25:08 EST
In printconf-gui-0.2.1-1 there is a "Invalid Printer Record" string in the
details field. This message isn't to be found in the printconf pot in the
i18n robot, and is thus untranslated.
Comment 1 Christian Rose 2001-03-01 15:30:30 EST
The same is true for the message "The printer's format is not understood, and
can not be edited."

These messages should probably be marked for translation, and translators
notified so that they can get a chance to translate them.
Comment 2 Christian Rose 2001-03-01 15:37:22 EST
And another message that is not marked for translation:

"Rerendered Postscript Printer"
Comment 3 Christian Rose 2001-03-01 15:55:40 EST
Printer options should naturally also be marked for translation. This affects a
lot of messages, among those:

"Density"
"Economy mode"
"Standard Mode"
"Economy Mode"
"Floyd-Steinberg Dithering"
"Standard printing"
"Floyd-Steinberg dithered printing"
"Ghostscript Resolution"
"Manual Feed of Paper"
"Off"
"On"
"Number of Copies"
"Page Size"
"REt Setting"
"Medium"
"Dark"
"Light"
"Off"

There are probably more options that need to have their settings translated,
these are just the options for my printer.
If these options are taken directly from the printer drivers, a special i18n
scheme has to be made for the printer options, and I should probably make that a
seperate bug report.
Comment 4 Glen Foster 2001-03-02 12:37:39 EST
This defect considered MUST-FIX for Florence Gold release
Comment 5 Crutcher Dunnavant 2001-03-02 12:56:24 EST
Most of the interface strings showed up over the last 2 days.
The strings will get marked today.

However...
The options are generated from data files. There are over 500 strings for
translation in them, and there is the issue of how to split them out. The
dynamic options were added after the drop, and while I do use gettext on them,
we had no expectation that they'd get translated for this release, as they came
in to late and there are to many of them. (And I wanted to make sure that the
main interface strings were translated, and not lost in a wash of minor options
that apply to 3 printers made 5 years ago.)

I will address this today, but it will massively swell the pot file, and I
really don't expect them to be translated in time.

Wait, there /were/ over 500 strings in them in the old database. The updateed
version I moved us to on wednesday is 70% larger, so I expect that it has a
couple more...
Comment 6 Christian Rose 2001-03-02 13:28:07 EST
I put the "translation of printer options" part of this in bug 30349, and
answered your last comment there.
Comment 7 Trond Eivind Glomsrxd 2001-03-02 15:52:53 EST
OK. The messages as written has been marked and will be put out soon - the
options are as I understand it not part of the MUSTFIX, and I don't want them to
be: I don't want to flood the translators with 800+ autogenerated messages, and
would rather have them see the important parts of the translation.
Comment 8 Trond Eivind Glomsrxd 2001-03-02 15:59:27 EST
These messages are now present in the robot.
Comment 9 Christian Rose 2001-03-02 17:28:06 EST
What about "Rerendered Postscript Printer"? I can't find it in the pot.
Comment 10 Crutcher Dunnavant 2001-03-06 11:39:07 EST
That string has moved, but is present now.

Note You need to log in before you can comment on or make changes to this bug.